#ifndef _CTRL_BATEAU_H
#define _CTRL_BATEAU_H
#include <conio.h>
#include "../modele/parametre.h"
#include "../modele/random.h"
#include "../vue/vueGrille.h"
#include "../vue/bateau.h"
#include "../modele/coup.h"
#include "../modele/bateau.h"


//***************************
/*	N : placementAlea
	D : Permet de placer les pNbBateau bateaux d'un joueur pJoueur alatoirement
	E : pJoueur pNbBateau
	S : pJoueur
	R : -
	Prec : Avoir de la place suffisante dans la grille pour les bateaux, pNbBateau valide
*/
void placementAlea(TJoueur * pJoueur, int pNbBateau);


//***************************
/*	N : ckeckPos
	D : Permet de savoir si un bateau d'id pIdBateau d'un joueur pJoueur peut tre plac (<=> est-ce qu'il y a dja un autre bateau sur sa position)
	E : pJoueur, pIdBateau
	S : pJoueur
	R : 1 si oui 0 sinon
	Prec : pIdBateau valide
*/
int checkPos(TJoueur * pJoueur, const int pIdBateau);

//***************************
/*	N : placerBateau
	D : permet le placement de tout les bateaux des joueurs enregistrs dans pParametres
	E : pParametre
	S : pParametre
	R : -
	Prec : parametre initialis
*/
void placerBateau(Tparam * pParametre);


//***************************
/*	N : parametrerPartie
	D : TODO
	E : pParametre
	S : pParametre
	R : -
	Prec : -
*/
void parametrerPartie(Tparam * pParam);


//***************************
/*	N : checkBateauxCoules
	D : Permet de lancer les programmes du modele qui vrifie si les pNbBateau bateaux du joueur pCible snt couls
    par le joueur pTireur puis les "coulent" et modifie la couleur des coups associs au bateau
	E : pNbBateau pTireur pCible
	S : -
	R : -
	Prec : pNbBateau correct
*/
void checkBateauxCoules(const int pNbBateau, TJoueur * pTireur, TJoueur * pCible);
#endif


