#ifndef _PILE_H
#define _PILE_H

#include <stdlib.h>

#include "structures.h"



//***************************
/*	N : creerPile
	D : Permet d'initialiser une pile, et la retourne via pPile
	E : -
	S : -
	R : une pile initialis
	Prec : -
*/
TPile * creerPile();

//***************************
/*	N : pileVide
	D : Permet de savoir si la pile pPile est vide
	E : -
	S : -
	R : 1 si vide 0 sinon
	Prec : -
*/
int pileVide(TPile* pPile);

//***************************
/*	N : empiler
	D : Permet d'empiler la position pPosition d'un tir dans la pile pPile
	E : pPile pPosition
	S : -
	R : pPile
	Prec : -
*/
void empiler(TPile* pPile, TCoup pCoup);

//***************************
/*	N : depiler
	D : Permet de supprimer ( dpiler ) le premier lment de la pile pPile
	E : pPile
	S : -
	R : 0 si on a dpiler
	Prec : pile non vide
*/
int depiler(TPile* pPile);



//***************************
/*	N : getLongPile
	D : Permet d'obtenir la longueur d'une pile pPile
	E : pPile
	S : -
	R : la longueur de la pile
	Prec : pile cre
*/
int getLongPile(TPile * pPile);


#endif


