#include "score.h"

//****************************

int ajouterScore(TScore pScore, TScore * pListeScores, int pNbScore)
{
    FILE * ficscore;
    int i,scoreMini, idScoreMini;
    i=0;
    // on cherche le score mini => le moins bon
    scoreMini=100;
    while(i<pNbScore)
    {
        if(pListeScores[i].score<scoreMini)
        {
            scoreMini=pListeScores[i].score;
            idScoreMini=i;
        }
        i++;
    }

    if(pNbScore<10)
    {
        pListeScores[pNbScore-1]=pScore;
    }
    if(pNbScore>=10)
    {
        if(scoreMini<pScore.score)
        {
            pListeScores[idScoreMini]=pScore;
        }
    }
    // on trie
    triListeScores(pListeScores,pNbScore);
    //on crit
    i=0;
    ficscore=fopen("meilleurs.dat", "wb");
    if(ficscore == NULL) return 0;
    while(i<pNbScore)
        {
            fwrite(&pListeScores[i],sizeof(TScore),1,ficscore);
            if (ferror(ficscore)!= 0) return 0;
            i++;
        }
    fclose(ficscore);

   return 1;
}

//**************************************

void triListeScores(TScore * pListeScores, int pNbScore)
{
    int perm;
    TScore ech;
    int i;
    do
    {
        perm=0;
        for(i=0;i<pNbScore-1;i++)
        {
            if(pListeScores[i].score<pListeScores[i+1].score)
            {
                ech=pListeScores[i];
                pListeScores[i]=pListeScores[i+1];
                pListeScores[i+1]=ech;
                perm=1;
            }
        }
    }while(perm!=0);
}

//************************************

int chargerScores(TScore * pScore)
{
    FILE *ficscore;
    int i=0;

    ficscore=fopen("meilleurs.dat", "rb");
    if(ficscore == NULL) return 0;
    //on lit
    fread(&pScore[i],sizeof(TScore),1,ficscore);
    if (ferror(ficscore)!= 0) return 0;
    while (!feof(ficscore))
    {
        i++;
        fread(&pScore[i],sizeof(TScore),1,ficscore);
        if (ferror(ficscore)!= 0) return 0;
    }

    fclose(ficscore);
    return 1;
}

//***********************************

int getNbScore (void)
{
    TScore temp;
    int cpt = 0;
    FILE * ficscore = NULL;
    ficscore = fopen("meilleurs.dat", "rb");

    if (ficscore == NULL) return -1;

    fread(&temp, sizeof(TScore), 1, ficscore);

    while (!feof(ficscore))
    {
        cpt++;
        fread(&temp, sizeof(TScore), 1, ficscore);
    }

    fclose(ficscore);

    return cpt;
}

//***********************************

int getScore(TPile * pPile)
{
    TCellule * uneCel=pPile->debut;
    int score=100;
    while(uneCel!=NULL)
    {
        score--;
        uneCel=uneCel->lien;
    }
    return score;
}

//*********************************

int getTouche(TPile * pPile)
{
    TCellule * uneCel=pPile->debut;
    int nbTouche=0;
    while(uneCel!=NULL)
    {
        if(uneCel->coup.couleur==LIGHTRED || uneCel->coup.couleur==LIGHTGRAY)
        {
           nbTouche++;
        }
        uneCel=uneCel->lien;
    }
    return nbTouche;
}

//***************************

int getNbTir(TPile * pPile)
{
    TCellule * uneCel=pPile->debut;
    int nbTir=0;
    while(uneCel!=NULL)
    {
        nbTir++;
        uneCel=uneCel->lien;
    }
    return nbTir;
}
