#ifndef _MODEL_SCORE_H
#define _MODEL_SCORE_H

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>

#define KMAXSCORES 10

#include "../vue/vue.h"
#include "../vue/lietrec.h"
#include "../vue/vueGrille.h"
#include "random.h"
#include "../controleur/jeu.h"

//***************************
/*	N : ajouterScore
	D : compare les pNbScore scores prsents pListeScores avec le score pScore et rajoute le score s'il est parmis les meilleurs dans le fichier meilleurs.dat
	E : pScore, pListeScores pNbScore
	S : -
	R : 0 si erreur 1 sinon
	Prec : -
*/
int ajouterScore(TScore pScore, TScore * pListeScores, int pNbScore);

//***************************
/*	N : triListeScores
	D : Permet de trier la liste de score pListeScores de pNbScore dans l'ordre decroissant via l'algorithme  bulle 2 vu en S1
	E : pNbScore pListeScores
	S : pListeScores
	R : -
	Prec : -
*/
void triListeScores(TScore * pListeScores, int pNbScore);

//***************************
/*	N : chargerScores
	D : Permet de charger le fichiers des meilleurs scores de type TScore dans un tableau pScore
	E : pScore
	S : -
	R : 0 si erreur 1 sinon
	Prec : -
*/
int chargerScores(TScore * pScore);


//***************************
/*	N : getNbScore
	D : Permet de savoir combien il y a de score dans le fichier meilleurs.dat
	E : -
	S : -
	R : cpt
	Prec : -
*/
int getNbScore (void);

//***************************
/*	N : getScore
	D : permet d'avoir le score pScore de la pile de coup pPile d'un joueur donn
	E : pPile
	S : -
	R : score
	Prec : pile cre

}*/
int getScore(TPile * pPile);

//***************************
/*	N : getTouche
	D : permet d'obtenir le nombre de tir de la la pile pPile d'un joueur donn qui ont fait mouche dans les bateaux de l'autre joueur
	E : pPile
	S : -
	R : Le nombre de tir qui ont touch
	Prec : pile cre

*/
int getTouche(TPile * pPile);

//***************************
/*	N : getNbTir
	D : permet d'obtenir nombre de tir nbTir de la pile pPile d'un joueur donn
	E : pPile
	S : -
	R : nbTir
	Prec : pilecre
*/
int getNbTir(TPile * pPile);

#endif
