#ifndef _VUE_H
#define _VUE_H
#include "bateau.h"
#include "../modele/parametre.h"
#include "lietrec.h"


//***************************
/*	N : afficherCouleur
	D :  affiche le nom de la couleur d'index i
	E : pB
	S : -
	R :  -
	Prec : -
*/
void afficherCouleur(int pI);

//***************************
/*	N : afficherParam
	D :  affiche les  param
	E : param
	S :
	R :  -
	Prec : -
*/

void afficherParam(const Tparam * pParam);

//***************************
/*	N : saisirInfoBateau
	D : ...
	E :
	S : ...
	R :  -
	Prec : -
*/
void saisirInfoBateau(TInfoBateau *pB);

//***************************
/*	N : afficherRegles
	D :  Permet d'afficher les regles du jeu a partir du fichier regles.txt
	E :  -
	S : -
	R :  -
	Prec : -
*/
void afficherRegles();

//***************************
/*	N : afficherStartScreen
	D :  Permet d'afficher l'cran de dmarrage du jeu
	E :  -
	S : -
	R :  -
	Prec : -
*/
void afficherStartScreen();

//***************************
/*	N : afficherTirs
	D : Affiche les tirs de la pile des coups pPile excutes dans une grille de dplac par le haut de pHaut et par la gauche de pGauche
	E : pPile pHaut pGauche
	S : -
	R : -
	Prec : pile non vide
*/
void afficherTirs(TPile* pPile, int pHaut, int pGauche);

//***************************
/*	N : afficherNom
	D : affichage du nom d'un joueur pNom en fonction de l'id du joueur
	E : pNom idJoueur
	S : -
	R : -
	Prec : verifier les coordonnes des grilles pour une adaptation correcte
*/
void afficherNom(char* pNom, const int pIdJoueur);

//***************************
/*	N : afficherTouchesJeu
	D : affiche les touches des actions durant le jeu
	E : -
	S : -
	R : -
	Prec : Ne pas mettre les grilles l o on affiche ces infos voir.c
*/
void afficherTouchesJeu(void);


//***************************
/*	N : saisirPseudo
	D : permet d'effectuer la saisie du pseudo pPseudo de j1
	E : pPseudo
	S : pPseudo
	R : -
	Prec : param initialis
*/
void saisirPseudo(char* pPseudo);
#endif

