#ifndef _GRILLE_H
#define _GRILLE_H
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>

#include "../modele/coniocouleur.h"
#include "lietrec.h"
#include <unistd.h>
#include <windows.h>
#define KDELTAX 4
#define KDELTAY 2

//***************************
/*	N : afficherGrille
	D : affiche une grille de taille (pnbLignes*pnbColonnes) de couleur pCouleur  partir d'un point haut gauche en px,py
	E : px, int py, int pnbLignes, int pnbColonnes, COLORS pCouleur
	S : ...
	R :  -
	Prec : -fenetre initialise
*/
void afficherGrille(int px, int py, int pnbLignes, int pnbColonnes, COLORS pCouleur);

//***************************
/*	N : afficherCaractereDansGrille
	D : afficherCaractereDansGrille dans la grille en position (ppositionXGrille,ppositionYGrille)
	 le caractere pcaractere de couleur pcouleurCaractere avec un arrire plan pcouleurFond en ligne colonne (pligna, pcolonne
	E : tout
	S : ...
	R :  -
	Prec : -fenetre initialise, gille a au moins pligne et pcolonne dans la grille
*/
void afficherCaractereDansGrille(COLORS pcouleurCaractere,COLORS pcouleurFond,char pcaractere,int  ppositionXGrille,int ppositionYGrille,int pligne,int pcolonne);

//***************************
/*	N : resetGrille
	D : Permet de remplir une grille de position pPositionXGrille et pPositionYGrille d'espace de couleur noir.
	E : pPositionXGrille pPositionYGrille
	S : -
	R :  -
	Prec : -fenetre initialise
*/
void resetGrille(int  pPositionXGrille,int pPositionYGrille);

#endif
