#ifndef _COULEURS_H
#define _COULEURS_H

#include "../modele/coniocouleur.h"


#define KCOULEURS_NBCOULMAX 16
#define KCOULEURS_LGNOMCOUL 13

typedef
	struct
	{
		char nom[KCOULEURS_LGNOMCOUL+1];
		COLORS  num;
	}
Couleur;

//***************************
/*	N : getCouleurFromNum
	D : retourne la couleur  l'indice pI dans le tableau des couleurs  tableCouleurs
	E : pI
	S : -
	R : couleur
	Prec : pI existant
*/
Couleur getCouleurFromNum (int pI);

// fonction d'accs  chacun des champs de la structure couleur
COLORS getColor (Couleur pCouleur);

//***************************
/*	N : getNom
	D : permet d'avoir le nom d'une couleur pNom  partir d'une couleur pCouleur
	E : pCouleur
	S : pNom
	R : -
	Prec : -
*/
void getNom (Couleur pCouleur, char pNom[]);

#endif

