#include "coup.h"


//********
void setCouleurCoupPile(TInfoBateau * pBateau, const int pIdBateau, TPile * pPile, const int pEstCoule)
{
    int j, position;
    int couleur;
    if(pEstCoule) couleur=LIGHTGRAY;
    else couleur= LIGHTRED;

    for(j=0;j<pBateau[pIdBateau].mType;j++) // parcours de toutes les positions du bateau
        {
            if( pBateau[pIdBateau].mCoordonnees.mDirection==horizontal)
            {
                position=pBateau[pIdBateau].mCoordonnees.mLongitude*10+ pBateau[pIdBateau].mCoordonnees.mLatitude+j*10;
                TCellule * uneCel=pPile->debut;
                while(uneCel!=NULL)
                {
                    if(position==uneCel->coup.position)
                    {
                        uneCel->coup.couleur=couleur;
                    }
                    uneCel=uneCel->lien;
                }
            }
            else // Si vertical
            {
                position=pBateau[pIdBateau].mCoordonnees.mLongitude*10+ pBateau[pIdBateau].mCoordonnees.mLatitude+j;
                TCellule * uneCel=pPile->debut;
                while(uneCel!=NULL)
                {
                    if(position==uneCel->coup.position)
                    {
                        uneCel->coup.couleur=couleur;
                    }
                    uneCel=uneCel->lien;
                }
            }
        }
}

//********************************
int existePos(TPile* pPile,const int pPosition)
{
    int existe=0;
    TCellule * uneCel=pPile->debut;
    while(uneCel!=NULL && !existe)
    {
        if(pPosition==uneCel->coup.position) existe=1;
        uneCel=uneCel->lien;
    }
    return existe;
}


//****************************
