#ifndef _MODEL_COUP_H
#define _MODEL_COUP_H

#include "structures.h"

#include "bateau.h"

//***************************
/*	N : setCouleurCoupPile
	D : modifie la couleur des coups concernant un bateau pBateau d'un joueur d'id pIdBateau dans la pile de coups de l'autre joueur en fonction de son tat actuel
	E : pEstCoule pBateau pIdBateau pPile
	S : pPile
	R : -
	Prec : pIdBateau existe, le bateau et la pile de coup ne doivent pas appartenir au meme joueur
*/
void setCouleurCoupPile(TInfoBateau * pBateau, const int pIdBateau, TPile* pPile, const int pEstCoule);

//***************************
/*	N : existePos
	D : Permet de savoir si une position de la grille pPosition est dj dans la pile de coup pPile du joueur donn
	E : pPile pPosition
	S : -
	R : 1 si la position est dans la pile 0 sinon
	Prec : position respectant le codage du projet
*/
int existePos(TPile* pPile,const int pPosition);

#endif


