#include "parametre.h"


int getNBInstances (const Tparam * pParam)
{
    return pParam->mNombreInstanceBateaux;
}

//*********************************************

void newTParam(int pNbInstances , Tparam * pP)
{
    int nb;
    pP->mNombreInstanceBateaux=pNbInstances;
    nb = K_NBTYPEBATEAUX*getNBInstances (pP);
    pP->joueur1 = (TJoueur * )malloc(1 * sizeof(TJoueur));

    pP->joueur1->pileCoup=creerPile();
    pP->joueur2 = (TJoueur * )malloc(1 * sizeof(TJoueur));
    pP->joueur2->pileCoup=creerPile();
    strcpy(pP->joueur1->nomJoueur,"Player");
    strcpy(pP->joueur2->nomJoueur,"Ordinateur");
    pP->joueur1->mBateauxDuJoueur = (TInfoBateau * )malloc(nb * sizeof(TInfoBateau));
    pP->joueur2->mBateauxDuJoueur = (TInfoBateau * )malloc(nb * sizeof(TInfoBateau));
    nb=getNbCases(pP);
    pP->joueur1->tabPosBateauJoueur=(int*)malloc(sizeof(int)*nb);
    pP->joueur2->tabPosBateauJoueur=(int*)malloc(sizeof(int)*nb);
    pP->joueur1->nbCasesPrises=0;
    pP->joueur2->nbCasesPrises=0;

}

//**************************

void libererParam(Tparam * pParam)
{
    free(pParam->joueur1->mBateauxDuJoueur);
    free(pParam->joueur1->pileCoup);
    free(pParam->joueur1->tabPosBateauJoueur);
    free(pParam->joueur1);
    free(pParam->joueur2->mBateauxDuJoueur);
    free(pParam->joueur2->pileCoup);
    free(pParam->joueur2->tabPosBateauJoueur);
    free(pParam->joueur2);
}

//***************************

void setIemeInfoBateauTParam(int pIdBateau , Tparam * pParam,const char pNom[], int pCouleur , EType pType)
{
    int nbInstances=getNBInstances (pParam);
    if (pIdBateau<K_NBTYPEBATEAUX*nbInstances)
    {
        pParam->joueur1->mBateauxDuJoueur[pIdBateau].mCouleur=pCouleur;
        pParam->joueur1->mBateauxDuJoueur[pIdBateau].mType=pType;
        pParam->joueur1->mBateauxDuJoueur[pIdBateau].mCoordonnees.mLatitude=1;
        pParam->joueur1->mBateauxDuJoueur[pIdBateau].mCoordonnees.mLongitude=1;
        pParam->joueur1->mBateauxDuJoueur[pIdBateau].estCoule=0;
        pParam->joueur1->mBateauxDuJoueur[pIdBateau].mCoordonnees.mDirection=vertical;
        strcpy(pParam->joueur1->mBateauxDuJoueur[pIdBateau].mNom ,pNom);
    }
    else
    {
        pParam->joueur2->mBateauxDuJoueur[pIdBateau-K_NBTYPEBATEAUX*nbInstances].mCouleur=pCouleur;
        pParam->joueur2->mBateauxDuJoueur[pIdBateau-K_NBTYPEBATEAUX*nbInstances].mType=pType;
        pParam->joueur2->mBateauxDuJoueur[pIdBateau-K_NBTYPEBATEAUX*nbInstances].mCoordonnees.mLatitude=1;
        pParam->joueur2->mBateauxDuJoueur[pIdBateau-K_NBTYPEBATEAUX*nbInstances].mCoordonnees.mLongitude=1;
        pParam->joueur2->mBateauxDuJoueur[pIdBateau-K_NBTYPEBATEAUX*nbInstances].mCoordonnees.mDirection=vertical;
        pParam->joueur2->mBateauxDuJoueur[pIdBateau-K_NBTYPEBATEAUX*nbInstances].estCoule=0;
        strcpy(pParam->joueur2->mBateauxDuJoueur[pIdBateau-K_NBTYPEBATEAUX*nbInstances].mNom, pNom);
    }

}

//****************************

void setParamParDef(Tparam *param)
{

    newTParam( 1, param);
    setIemeInfoBateauTParam(0 , param, "redon", 13 , remorqueur);
    setIemeInfoBateauTParam(1 , param, "sotin", 1 , porteAvion);
    setIemeInfoBateauTParam(2 , param, "canut", 2 , sousMarin);
    setIemeInfoBateauTParam(3, param , "caplain", 12 , cargot);

    setIemeInfoBateauTParam(4 , param , "bruel", 4 , remorqueur);
    setIemeInfoBateauTParam(5 , param , "inglebert", 5 , porteAvion);
    setIemeInfoBateauTParam(6 , param , "verdier", 13 , sousMarin);
    setIemeInfoBateauTParam(7 , param , "nonne", 1 , cargot);
}
