#include "pile.h"

TPile* creerPile(void)
{
    TPile * pPile;
    pPile=(TPile*)malloc(sizeof(TPile));

    pPile->debut=NULL;
    return pPile;
}

//********************************

int pileVide(TPile * pPile)
{
    return pPile->debut==NULL;
}

//********************************

void empiler(TPile * pPile, TCoup pCoup)
{
    TCellule * newCel  = (TCellule *) malloc(sizeof(TCellule));
    if (pileVide(pPile))
    {
        // si la pile est vide

        newCel->lien=NULL;
    }
    else
    {
        newCel->lien=pPile->debut;
    }
    newCel->coup=pCoup;
    pPile->debut=newCel;
}

//********************************

int depiler(TPile * pPile)
{
    TCellule * trash;
    if(pPile->debut->lien==NULL) // Si il y a un seul lment dans notre pile
    {
        free(pPile->debut);
        pPile->debut=NULL;
        return 0;
    }
    trash=pPile->debut;
    pPile->debut=pPile->debut->lien;
    free(trash);
    return 0;
}

//********************************

int getLongPile(TPile * pPile)
{

 TCellule * uneCel=pPile->debut;
    int longueur=0;
    while(uneCel!=NULL)
    {
        uneCel=uneCel->lien;
        longueur++;
    }
    return longueur;
}



