#ifndef _SAUV_H
#define _SAUV_H

#include "structures.h"
#include "pile.h"
#include "parametre.h"
#include "bateau.h"
#include <stdio.h>


//***************************
/*	N :sauverBateaux
	D : permet de sauver dans le fichier pFic les bateaux des 2 joueurs contenu dans le parametre pParam
	E : pParam pFic
	S : -
	R : 0 si erreur 1 sinon
	Prec : -
*/

int sauverBateaux(Tparam *pParam, FILE* pFic);

//***************************
/*	N :sauverPile
	D : permet de sauver dans le fichier pFic la pile de coup pPile
	E : pPile pFic
	S : -
	R : 0 si erreur 1 sinon
	Prec : -
*/
int sauverPile(TPile * pPile, FILE* pFic);

//***************************
/*	N :sauverPartie
	D :
	E : pParam
	S : -
	R : 0 si erreur 1 sinon
	Prec : -
*/
int sauverPartie(Tparam * pParam);


//*****************RESTAURATION SAUVEGARDE**************

//***************************
/*	N : restaurerPartie
	D : Permet de restaurer une partie enregistr dans une variable pParam paramtre.
	E : pParam
	S : pParam
	R : 1 si tout s'est bien droul 0 sinon
	Prec : -
*/
int restaurerPartie(Tparam * pParam);

//***************************
/*	N : restaurerBateaux
	D : Permet de restaurer les bateaux TInfoBateau des joueurs dans une variable pParam paramtre  partir du fichier pFic
	E : pParam pFic
	S : pParam
	R : 1 si tout s'est bien droul 0 sinon
	Prec : -
*/
int restaurerBateaux(Tparam *pParam, FILE* pFic);

//***************************
/*	N : restaurerPiles
	D : Permet de restaurer piles de coups des joueurs dans une variable pParam paramtre  partir du fichier pFic
	E : pParam pFic
	S : pParam
	R : 1 si tout s'est bien droul 0 sinon
	Prec : -
*/
int restaurerPiles(Tparam *pParam, FILE* pFic);
#endif

