#include "bateau.h"

void afficherBateau(TInfoBateau * pBateau,int  pPositionXGrille,int pPositionYGrille)
{
        int longi;
        int lati;
        int i=0;
        if(!pBateau->estCoule)
        {
            longi=pBateau->mCoordonnees.mLongitude;
            lati=pBateau->mCoordonnees.mLatitude;
            while(i<pBateau->mType)
            {
                if(pBateau->mCoordonnees.mDirection==horizontal)
                {
                    afficherCaractereDansGrille(BLACK,pBateau->mCouleur , ' ', pPositionXGrille, pPositionYGrille, lati, longi);
                    longi++;
                }
                else
                {
                    afficherCaractereDansGrille(BLACK, pBateau->mCouleur, ' ', pPositionXGrille, pPositionYGrille, lati, longi);
                    lati++;
                }
                i++;
            }
        }
}

//****************************

void afficherType(int pI)
{
    switch(pI)
    {
        case remorqueur: printf("remorqueur\t");break;
        case porteAvion: printf("porteAvion\t");break;
        case sousMarin: printf("sousMarin\t");break;
        case cargot: printf("cargot\t");break;
        default:break;
    }
}

//**************************************

void afficherInfoBateau(const TInfoBateau *pB)
{
    afficherCouleur(pB->mCouleur);
    afficherType(pB->mType );
    printf("Nom : %s\n",pB->mNom);
}

//**********************************

int estAlea(void)
{
   int estAlea=0,touche;
   do
    {
        clrscr();
        printf("Voulez-vous placer vos bateaux?\n");
        tracerLigneH(1,2,30);
        if(estAlea) printf("\n  ");
        else printf("\n->");
        printf("Oui, on est jamais mieux servi que par soi-meme!\n");
        if(!estAlea) printf("  ");
        else printf("->");
        printf("Non, je prefere laisser le hasard decider.\n");
        touche=getch();
        switch(touche)
        {
        case BAS:
            if(estAlea<1) estAlea++;
            break;
        case HAUT:
            if(estAlea>0) estAlea --;
            break;
        default:
            break;
        }
    }while(touche!=ENTREE);
    return estAlea;
}

//*************
void afficherInfoPlacement(const int pNbBateau,char * pNom)
{
    gotoxy(52,5);
    textcolor((LIGHTCYAN)|(BLACK<<4));
    printf("Il reste %d bateaux a placer\n",pNbBateau);
    gotoxy(52,6);
    printf("Bateau courant: %s",pNom);
    gotoxy(52,10);
    printf("Touches:");
    gotoxy(52,11);
    printf("R: Rotation");
    gotoxy(52,12);
    printf("Entree: Valider placement");
}
