#ifndef _VUE_BATEAU_H
#define _VUE_BATEAU_H
#include "../modele/parametre.h"
#include "vueGrille.h"
#include "vue.h"

//***************************
/*	N : afficherBateau
	D : Permet d'afficher un bateau pBateau non coul sur un grille qui  pour position de "dpart" (en haut  gauche) de pPositionXGrille (horizontal) et de pPositionYGrille (vertical)
	E : pBateau pPositionXGrille pPositionYGrille
	S : -
	R : -
	Prec : -
*/
void afficherBateau(TInfoBateau * pBateau,int  pPositionXGrille,int pPositionYGrille);

//***************************
/*	N : afficherType
	D :  affiche le nom ddu type du bateau d'index i
	E : pB
	S :
	R :  -
	Prec : -
*/
void afficherType(int pI);

//***************************
/*	N : afficherInfoBateau
	D :  affiche les  Informations sur  l'info bateau pB
	E : pB
	S :
	R :  -
	Prec : -
*/
void afficherInfoBateau(const TInfoBateau *pB);

//***************************
/*	N : estAlea
	D : permet de savoir si le joueur humain veut placer ses bateaux automatiquement ou non
	E : -
	S : -
	R : 1 si placement automatique 0 sinon
	Prec : -
*/
int estAlea(void);

//***************************
/*	N : afficherInfoPlacement
	D : Permet d'afficher les infos de placage ( les touches, le nombre de bateau restant pNbBateau et le nom du bateau entrain d^'etre plac pNom
	E : pNbBateau pNom
	S : -
	R : -
	Prec : rien sur les coordonnes de placement de ces infos voir.c
*/
void afficherInfoPlacement(const int pNbBateau,char * pNom);
#endif
