#include "vueGrille.h"

void afficherGrille(int px, int py, int pnbLignes, int pnbColonnes, COLORS pCouleur)
{

    int i;
    textcolor(pCouleur);

    //affiche colonne chiffres
    for (i=0;i<pnbLignes;i++)
    {
        gotoxy(px-2, py+1+KDELTAY*i);
        cprintf("%c",'A' + i);
    }

    //affiche ligne chiffres
     for (i=0;i<pnbColonnes;i++)
    {
        gotoxy(px+1+KDELTAX*i, py-1);
        cprintf("%d",i+1);
    }

    //trace rectangle
    tracerRectangle(px, py, KDELTAX*pnbColonnes, KDELTAY*pnbLignes);

    //trace lignes horizontales
    for (i=2;i<=pnbLignes;i++)
    {
        tracerLigneH(px, py-2+KDELTAY*i,KDELTAX*pnbColonnes);
    }
    for (i=1;i<=pnbColonnes;i++)
    {
        gotoxy(KDELTAX*i, py-3);
      //  cprintf("%d",i-1);
        tracerLigneV(KDELTAX*i+px-KDELTAX, py+1, KDELTAY*pnbLignes-1);
    }
}

//**************************************

void afficherCaractereDansGrille(COLORS pcouleurCaractere,COLORS pcouleurFond,char pcaractere,int  ppositionXGrille,int ppositionYGrille,int pligne,int pcolonne)
{
    char text[4];
    text[0]=' ';
    text[1]=pcaractere;
    text[2]=' ';
    text[3]='\0';
    textcolor((pcouleurCaractere)|(pcouleurFond<<4));
    gotoxy(  ppositionXGrille+(pcolonne-1)*KDELTAX+1, ppositionYGrille +(pligne-1)*KDELTAY+1);
    cprintf("%s",text);
}

//***************************************

void resetGrille(int  pPositionXGrille,int pPositionYGrille)
{
    int x=1;
    int y;
    while(x<11)
    {
        y=1;
        while(y<11)
        {
            afficherCaractereDansGrille(BLACK, BLACK, ' ', pPositionXGrille, pPositionYGrille, y, x);
            y++;
        }
        x++;
    }
}
